Talk:Installation Guide

From LinuxMCE
Revision as of 17:02, 25 April 2007 by Elbekko (Talk | contribs)

Jump to: navigation, search

Download links lead to Ubuntu 7.04, which doesn't seem to be supported. Thanks for wasting my bandwidth. --Elbekko 10:02, 25 April 2007 (MST)